
From: Kyle Moffett <mrmacman_g4@mac.com>

This is used only in slab.c and each architecture gets to define whcih
underlying type is to be used.

Seems a bit silly - move it to slab.c and use the same type for all
architectures: unsigned int.


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-alpha/types.h   |    2 --
 include/asm-arm/types.h     |    2 --
 include/asm-arm26/types.h   |    2 --
 include/asm-cris/types.h    |    2 --
 include/asm-frv/types.h     |    2 --
 include/asm-h8300/types.h   |    2 --
 include/asm-i386/types.h    |    2 --
 include/asm-ia64/types.h    |    2 --
 include/asm-m32r/types.h    |    2 --
 include/asm-m68k/types.h    |    2 --
 include/asm-mips/types.h    |    2 --
 include/asm-parisc/types.h  |    2 --
 include/asm-ppc/types.h     |    2 --
 include/asm-ppc64/types.h   |    1 -
 include/asm-s390/types.h    |    2 --
 include/asm-sh/types.h      |    2 --
 include/asm-sh64/types.h    |    2 --
 include/asm-sparc/types.h   |    2 --
 include/asm-sparc64/types.h |    2 --
 include/asm-v850/types.h    |    2 --
 include/asm-x86_64/types.h  |    2 --
 include/asm-xtensa/types.h  |    2 --
 mm/slab.c                   |    1 +
 23 files changed, 1 insertion(+), 43 deletions(-)

diff -puN include/asm-alpha/types.h~slab-consolidate-kmem_bufctl_t include/asm-alpha/types.h
--- devel/include/asm-alpha/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-alpha/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -56,8 +56,6 @@ typedef unsigned long u64;
 typedef u64 dma_addr_t;
 typedef u64 dma64_addr_t;
 
-typedef unsigned short kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 #endif /* __KERNEL__ */
 #endif /* _ALPHA_TYPES_H */
diff -puN include/asm-arm26/types.h~slab-consolidate-kmem_bufctl_t include/asm-arm26/types.h
--- devel/include/asm-arm26/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-arm26/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -52,8 +52,6 @@ typedef unsigned long long u64;
 typedef u32 dma_addr_t;
 typedef u32 dma64_addr_t;
 
-typedef unsigned int kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-arm/types.h~slab-consolidate-kmem_bufctl_t include/asm-arm/types.h
--- devel/include/asm-arm/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-arm/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -52,8 +52,6 @@ typedef unsigned long long u64;
 typedef u32 dma_addr_t;
 typedef u32 dma64_addr_t;
 
-typedef unsigned int kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-cris/types.h~slab-consolidate-kmem_bufctl_t include/asm-cris/types.h
--- devel/include/asm-cris/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-cris/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -52,8 +52,6 @@ typedef unsigned long long u64;
 typedef u32 dma_addr_t;
 typedef u32 dma64_addr_t;
 
-typedef unsigned short kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-frv/types.h~slab-consolidate-kmem_bufctl_t include/asm-frv/types.h
--- devel/include/asm-frv/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-frv/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -65,8 +65,6 @@ typedef u64 u_quad_t;
 
 typedef u32 dma_addr_t;
 
-typedef unsigned short kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-h8300/types.h~slab-consolidate-kmem_bufctl_t include/asm-h8300/types.h
--- devel/include/asm-h8300/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-h8300/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -58,8 +58,6 @@ typedef u32 dma_addr_t;
 #define HAVE_SECTOR_T
 typedef u64 sector_t;
 
-typedef unsigned int kmem_bufctl_t;
-
 #endif /* __KERNEL__ */
 
 #endif /* __ASSEMBLY__ */
diff -puN include/asm-i386/types.h~slab-consolidate-kmem_bufctl_t include/asm-i386/types.h
--- devel/include/asm-i386/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-i386/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -63,8 +63,6 @@ typedef u64 sector_t;
 #define HAVE_SECTOR_T
 #endif
 
-typedef unsigned short kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-ia64/types.h~slab-consolidate-kmem_bufctl_t include/asm-ia64/types.h
--- devel/include/asm-ia64/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-ia64/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -67,8 +67,6 @@ typedef __u64 u64;
 
 typedef u64 dma_addr_t;
 
-typedef unsigned short kmem_bufctl_t;
-
 # endif /* __KERNEL__ */
 #endif /* !__ASSEMBLY__ */
 
diff -puN include/asm-m32r/types.h~slab-consolidate-kmem_bufctl_t include/asm-m32r/types.h
--- devel/include/asm-m32r/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-m32r/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -55,8 +55,6 @@ typedef unsigned long long u64;
 typedef u32 dma_addr_t;
 typedef u64 dma64_addr_t;
 
-typedef unsigned short kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-m68k/types.h~slab-consolidate-kmem_bufctl_t include/asm-m68k/types.h
--- devel/include/asm-m68k/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-m68k/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -60,8 +60,6 @@ typedef unsigned long long u64;
 typedef u32 dma_addr_t;
 typedef u32 dma64_addr_t;
 
-typedef unsigned short kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-mips/types.h~slab-consolidate-kmem_bufctl_t include/asm-mips/types.h
--- devel/include/asm-mips/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-mips/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -99,8 +99,6 @@ typedef u64 sector_t;
 #define HAVE_SECTOR_T
 #endif
 
-typedef unsigned short kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-parisc/types.h~slab-consolidate-kmem_bufctl_t include/asm-parisc/types.h
--- devel/include/asm-parisc/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-parisc/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -56,8 +56,6 @@ typedef unsigned long long u64;
 typedef u32 dma_addr_t;
 typedef u64 dma64_addr_t;
 
-typedef unsigned int kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-ppc64/types.h~slab-consolidate-kmem_bufctl_t include/asm-ppc64/types.h
--- devel/include/asm-ppc64/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-ppc64/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -72,7 +72,6 @@ typedef struct {
 	unsigned long env;
 } func_descr_t;
 
-typedef unsigned int kmem_bufctl_t;
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-ppc/types.h~slab-consolidate-kmem_bufctl_t include/asm-ppc/types.h
--- devel/include/asm-ppc/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-ppc/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -62,8 +62,6 @@ typedef u64 sector_t;
 #define HAVE_SECTOR_T
 #endif
 
-typedef unsigned int kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-s390/types.h~slab-consolidate-kmem_bufctl_t include/asm-s390/types.h
--- devel/include/asm-s390/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-s390/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -79,8 +79,6 @@ typedef unsigned  long u64;
 
 typedef u32 dma_addr_t;
 
-typedef unsigned int kmem_bufctl_t;
-
 #ifndef __s390x__
 typedef union {
 	unsigned long long pair;
diff -puN include/asm-sh64/types.h~slab-consolidate-kmem_bufctl_t include/asm-sh64/types.h
--- devel/include/asm-sh64/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-sh64/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -65,8 +65,6 @@ typedef u32 dma_addr_t;
 #endif
 typedef u64 dma64_addr_t;
 
-typedef unsigned int kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #define BITS_PER_LONG 32
diff -puN include/asm-sh/types.h~slab-consolidate-kmem_bufctl_t include/asm-sh/types.h
--- devel/include/asm-sh/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-sh/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -58,8 +58,6 @@ typedef u64 sector_t;
 #define HAVE_SECTOR_T
 #endif
 
-typedef unsigned int kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-sparc64/types.h~slab-consolidate-kmem_bufctl_t include/asm-sparc64/types.h
--- devel/include/asm-sparc64/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-sparc64/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -56,8 +56,6 @@ typedef unsigned long u64;
 typedef u32 dma_addr_t;
 typedef u64 dma64_addr_t;
 
-typedef unsigned short kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-sparc/types.h~slab-consolidate-kmem_bufctl_t include/asm-sparc/types.h
--- devel/include/asm-sparc/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-sparc/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -54,8 +54,6 @@ typedef unsigned long long u64;
 typedef u32 dma_addr_t;
 typedef u32 dma64_addr_t;
 
-typedef unsigned short kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-v850/types.h~slab-consolidate-kmem_bufctl_t include/asm-v850/types.h
--- devel/include/asm-v850/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-v850/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -59,8 +59,6 @@ typedef unsigned long long u64;
 
 typedef u32 dma_addr_t;
 
-typedef unsigned int kmem_bufctl_t;
-
 #endif /* !__ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-x86_64/types.h~slab-consolidate-kmem_bufctl_t include/asm-x86_64/types.h
--- devel/include/asm-x86_64/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-x86_64/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -51,8 +51,6 @@ typedef u64 dma_addr_t;
 typedef u64 sector_t;
 #define HAVE_SECTOR_T
 
-typedef unsigned short kmem_bufctl_t;
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */
diff -puN include/asm-xtensa/types.h~slab-consolidate-kmem_bufctl_t include/asm-xtensa/types.h
--- devel/include/asm-xtensa/types.h~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/include/asm-xtensa/types.h	2005-08-29 22:34:49.000000000 -0700
@@ -58,8 +58,6 @@ typedef unsigned long long u64;
 
 typedef u32 dma_addr_t;
 
-typedef unsigned int kmem_bufctl_t;
-
 #endif	/* __KERNEL__ */
 #endif
 
diff -puN mm/slab.c~slab-consolidate-kmem_bufctl_t mm/slab.c
--- devel/mm/slab.c~slab-consolidate-kmem_bufctl_t	2005-08-29 22:34:49.000000000 -0700
+++ devel-akpm/mm/slab.c	2005-08-29 22:34:49.000000000 -0700
@@ -189,6 +189,7 @@
  * is less than 512 (PAGE_SIZE<<3), but greater than 256.
  */
 
+typedef unsigned int kmem_bufctl_t;
 #define BUFCTL_END	(((kmem_bufctl_t)(~0U))-0)
 #define BUFCTL_FREE	(((kmem_bufctl_t)(~0U))-1)
 #define	SLAB_LIMIT	(((kmem_bufctl_t)(~0U))-2)
_
